curl --request GET \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/azure/{entity_type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/azure/{entity_type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/azure/{entity_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"kind": "<string>",
"properties": {}
}
}{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 404,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The requested client could not be found."
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}Get Azure entity
Retrieves entity information for the given Azure object ID.
If related_entity_type parameter is not set, this endpoint will return information
about a single entity. Using the counts boolean parameter will further modify the response.
If related_entity_type parameter is set, this endpoint will return information about entities
related to a single entity. The type parameter will morph the response data structure. The list
value for the type parameter also accepts skip and limit parameters.
Authorizations
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$Path Parameters
Entity Type
Query Parameters
The object ID of the entity being operated on.
Returns related entity counts. Does not work with related_entity_type parameter.
Flags the query to return related entity information based on the type passed.
The type of return data expected. Only works with related_entity_type parameter.
list, graph This query parameter is used for determining the number of objects to skip in pagination.
Only compatible with related_entity_type and type=list
The number of items to skip in a paginated response.
x >= 0This query parameter is used for setting an upper limit of objects returned in paginated responses.
Only compatible with related_entity_type and type=list
The limit of results requested by the client.
x >= 0Response
This endpoint returns a polymorphic response dependent on the query parameters passed. Three different response schemas are possible:
- entity schema is used when
related_entity_typeis not set. Additional 'count' properties are dependent on the type of entity being queried. - related-list schema is used when
related_entity_typeis set andtypeparameter is eitherlistor not set (it is the default), and it supports pagination. - related-graph schema is used when
related_entity_typeis set andtype=graph.
- entity
- related-list
- related-graph
This response is used when related_entity_type is not set. It returns information
about a single node. All node types will return with the basic node fields, but the
additional count properties are dependent on the kind of node returned. Setting
counts=true will populate those count details at the cost of performance.
Show child attributes
Show child attributes